この文章は Salesforce 機械翻訳システムを使用して翻訳されました。詳細はこちらをご参照ください。
英語に切り替える

List View Results

リストビューに対する SOQL クエリを実行し、結果のデータと表示情報を返します。

このリソースは REST API バージョン 32.0 以降で使用できます。

URI
/vXX.X/sobjects/{sobjectType}/listviews/{listViewID}/results
形式
JSON、XML
HTTP メソッド
GET
認証
Authorization: Bearer token
パラメータ
なし

特定のリストビューから結果を取得
1curl https://na1.salesforce.com/services/data/v32.0/sobjects/Account/listviews/00BD0000005WcCNMA0/results -H "Authorization: Bearer token"
JSON レスポンスボディ
1{
2
3  "columns" : [ {
4
5    "ascendingLabel" : "Z-A",
6
7    "descendingLabel" : "A-Z",
8
9    "fieldNameOrPath" : "Name",
10
11    "hidden" : false,
12
13    "label" : "Account Name",
14
15    "selectListItem" : "Name",
16
17    "sortDirection" : "ascending",
18
19    "sortIndex" : 0,
20
21    "sortable" : true,
22
23    "type" : "string"
24
25  }, {
26
27    "ascendingLabel" : "Z-A",
28
29    "descendingLabel" : "A-Z",
30
31    "fieldNameOrPath" : "Site",
32
33    "hidden" : false,
34
35    "label" : "Account Site",
36
37    "selectListItem" : "Site",
38
39    "sortDirection" : null,
40
41    "sortIndex" : null,
42
43    "sortable" : true,
44
45    "type" : "string"
46
47  }, {
48
49    "ascendingLabel" : "Z-A",
50
51    "descendingLabel" : "A-Z",
52
53    "fieldNameOrPath" : "BillingState",
54
55    "hidden" : false,
56
57    "label" : "Billing State/Province",
58
59    "selectListItem" : "BillingState",
60
61    "sortDirection" : null,
62
63    "sortIndex" : null,
64
65    "sortable" : true,
66
67    "type" : "string"
68
69  }, {
70
71    "ascendingLabel" : "9-0",
72
73    "descendingLabel" : "0-9",
74
75    "fieldNameOrPath" : "Phone",
76
77    "hidden" : false,
78
79    "label" : "Phone",
80
81    "selectListItem" : "Phone",
82
83    "sortDirection" : null,
84
85    "sortIndex" : null,
86
87    "sortable" : true,
88
89    "type" : "phone"
90
91  }, {
92
93    "ascendingLabel" : "Low to High",
94
95    "descendingLabel" : "High to Low",
96
97    "fieldNameOrPath" : "Type",
98
99    "hidden" : false,
100
101    "label" : "Type",
102
103    "selectListItem" : "toLabel(Type)",
104
105    "sortDirection" : null,
106
107    "sortIndex" : null,
108
109    "sortable" : true,
110
111    "type" : "picklist"
112
113  }, {
114
115    "ascendingLabel" : "Z-A",
116
117    "descendingLabel" : "A-Z",
118
119    "fieldNameOrPath" : "Owner.Alias",
120
121    "hidden" : false,
122
123    "label" : "Account Owner Alias",
124
125    "selectListItem" : "Owner.Alias",
126
127    "sortDirection" : null,
128
129    "sortIndex" : null,
130
131    "sortable" : true,
132
133    "type" : "string"
134
135  }, {
136
137    "ascendingLabel" : null,
138
139    "descendingLabel" : null,
140
141    "fieldNameOrPath" : "Id",
142
143    "hidden" : true,
144
145    "label" : "Account ID",
146
147    "selectListItem" : "Id",
148
149    "sortDirection" : null,
150
151    "sortIndex" : null,
152
153    "sortable" : false,
154
155    "type" : "id"
156
157  }, {
158
159    "ascendingLabel" : null,
160
161    "descendingLabel" : null,
162
163    "fieldNameOrPath" : "CreatedDate",
164
165    "hidden" : true,
166
167    "label" : "Created Date",
168
169    "selectListItem" : "CreatedDate",
170
171    "sortDirection" : null,
172
173    "sortIndex" : null,
174
175    "sortable" : false,
176
177    "type" : "datetime"
178
179  }, {
180
181    "ascendingLabel" : null,
182
183    "descendingLabel" : null,
184
185    "fieldNameOrPath" : "LastModifiedDate",
186
187    "hidden" : true,
188
189    "label" : "Last Modified Date",
190
191    "selectListItem" : "LastModifiedDate",
192
193    "sortDirection" : null,
194
195    "sortIndex" : null,
196
197    "sortable" : false,
198
199    "type" : "datetime"
200
201  }, {
202
203    "ascendingLabel" : null,
204
205    "descendingLabel" : null,
206
207    "fieldNameOrPath" : "SystemModstamp",
208
209    "hidden" : true,
210
211    "label" : "System Modstamp",
212
213    "selectListItem" : "SystemModstamp",
214
215    "sortDirection" : null,
216
217    "sortIndex" : null,
218
219    "sortable" : false,
220
221    "type" : "datetime"
222
223  } ],
224
225  "developerName" : "MyAccounts",
226
227  "done" : true,
228
229  "id" : "00BD0000005WcCN",
230
231  "label" : "My Accounts",
232
233  "records" : [ {
234
235    "columns" : [ {
236
237      "fieldNameOrPath" : "Name",
238
239      "value" : "Burlington Textiles Corp of America"
240
241    }, {
242
243      "fieldNameOrPath" : "Site",
244
245      "value" : null
246
247    }, {
248
249      "fieldNameOrPath" : "BillingState",
250
251      "value" : "NC"
252
253    }, {
254
255      "fieldNameOrPath" : "Phone",
256
257      "value" : "(336) 222-7000"
258
259    }, {
260
261      "fieldNameOrPath" : "Type",
262
263      "value" : "Customer - Direct"
264
265    }, {
266
267      "fieldNameOrPath" : "Owner.Alias",
268
269      "value" : "TUser"
270
271    }, {
272
273      "fieldNameOrPath" : "Id",
274
275      "value" : "001D000000JliSTIAZ"
276
277    }, {
278
279      "fieldNameOrPath" : "CreatedDate",
280
281      "value" : "Fri Aug 01 21:15:46 GMT 2014"
282
283    }, {
284
285      "fieldNameOrPath" : "LastModifiedDate",
286
287      "value" : "Fri Aug 01 21:15:46 GMT 2014"
288
289    }, {
290
291      "fieldNameOrPath" : "SystemModstamp",
292
293      "value" : "Fri Aug 01 21:15:46 GMT 2014"
294
295    } ]
296
297  }, {
298
299    "columns" : [ {
300
301      "fieldNameOrPath" : "Name",
302
303      "value" : "Dickenson plc"
304
305    }, {
306
307      "fieldNameOrPath" : "Site",
308
309      "value" : null
310
311    }, {
312
313      "fieldNameOrPath" : "BillingState",
314
315      "value" : "KS"
316
317    }, {
318
319      "fieldNameOrPath" : "Phone",
320
321      "value" : "(785) 241-6200"
322
323    }, {
324
325      "fieldNameOrPath" : "Type",
326
327      "value" : "Customer - Channel"
328
329    }, {
330
331      "fieldNameOrPath" : "Owner.Alias",
332
333      "value" : "TUser"
334
335    }, {
336
337      "fieldNameOrPath" : "Id",
338
339      "value" : "001D000000JliSVIAZ"
340
341    }, {
342
343      "fieldNameOrPath" : "CreatedDate",
344
345      "value" : "Fri Aug 01 21:15:46 GMT 2014"
346
347    }, {
348
349      "fieldNameOrPath" : "LastModifiedDate",
350
351      "value" : "Fri Aug 01 21:15:46 GMT 2014"
352
353    }, {
354
355      "fieldNameOrPath" : "SystemModstamp",
356
357      "value" : "Fri Aug 01 21:15:46 GMT 2014"
358
359    } ]
360
361  }, {
362
363    "columns" : [ {
364
365      "fieldNameOrPath" : "Name",
366
367      "value" : "Edge Communications"
368
369    }, {
370
371      "fieldNameOrPath" : "Site",
372
373      "value" : null
374
375    }, {
376
377      "fieldNameOrPath" : "BillingState",
378
379      "value" : "TX"
380
381    }, {
382
383      "fieldNameOrPath" : "Phone",
384
385      "value" : "(512) 757-6000"
386
387    }, {
388
389      "fieldNameOrPath" : "Type",
390
391      "value" : "Customer - Direct"
392
393    }, {
394
395      "fieldNameOrPath" : "Owner.Alias",
396
397      "value" : "TUser"
398
399    }, {
400
401      "fieldNameOrPath" : "Id",
402
403      "value" : "001D000000JliSSIAZ"
404
405    }, {
406
407      "fieldNameOrPath" : "CreatedDate",
408
409      "value" : "Fri Aug 01 21:15:46 GMT 2014"
410
411    }, {
412
413      "fieldNameOrPath" : "LastModifiedDate",
414
415      "value" : "Fri Aug 01 21:15:46 GMT 2014"
416
417    }, {
418
419      "fieldNameOrPath" : "SystemModstamp",
420
421      "value" : "Fri Aug 01 21:15:46 GMT 2014"
422
423    } ]
424
425  }, {
426
427    "columns" : [ {
428
429      "fieldNameOrPath" : "Name",
430
431      "value" : "Express Logistics and Transport"
432
433    }, {
434
435      "fieldNameOrPath" : "Site",
436
437      "value" : null
438
439    }, {
440
441      "fieldNameOrPath" : "BillingState",
442
443      "value" : "OR"
444
445    }, {
446
447      "fieldNameOrPath" : "Phone",
448
449      "value" : "(503) 421-7800"
450
451    }, {
452
453      "fieldNameOrPath" : "Type",
454
455      "value" : "Customer - Channel"
456
457    }, {
458
459      "fieldNameOrPath" : "Owner.Alias",
460
461      "value" : "TUser"
462
463    }, {
464
465      "fieldNameOrPath" : "Id",
466
467      "value" : "001D000000JliSXIAZ"
468
469    }, {
470
471      "fieldNameOrPath" : "CreatedDate",
472
473      "value" : "Fri Aug 01 21:15:46 GMT 2014"
474
475    }, {
476
477      "fieldNameOrPath" : "LastModifiedDate",
478
479      "value" : "Fri Aug 01 21:15:46 GMT 2014"
480
481    }, {
482
483      "fieldNameOrPath" : "SystemModstamp",
484
485      "value" : "Fri Aug 01 21:15:46 GMT 2014"
486
487    } ]
488
489  }, {
490
491    "columns" : [ {
492
493      "fieldNameOrPath" : "Name",
494
495      "value" : "GenePoint"
496
497    }, {
498
499      "fieldNameOrPath" : "Site",
500
501      "value" : null
502
503    }, {
504
505      "fieldNameOrPath" : "BillingState",
506
507      "value" : "CA"
508
509    }, {
510
511      "fieldNameOrPath" : "Phone",
512
513      "value" : "(650) 867-3450"
514
515    }, {
516
517      "fieldNameOrPath" : "Type",
518
519      "value" : "Customer - Channel"
520
521    }, {
522
523      "fieldNameOrPath" : "Owner.Alias",
524
525      "value" : "TUser"
526
527    }, {
528
529      "fieldNameOrPath" : "Id",
530
531      "value" : "001D000000JliSPIAZ"
532
533    }, {
534
535      "fieldNameOrPath" : "CreatedDate",
536
537      "value" : "Fri Aug 01 21:15:46 GMT 2014"
538
539    }, {
540
541      "fieldNameOrPath" : "LastModifiedDate",
542
543      "value" : "Fri Aug 01 21:15:46 GMT 2014"
544
545    }, {
546
547      "fieldNameOrPath" : "SystemModstamp",
548
549      "value" : "Fri Aug 01 21:15:46 GMT 2014"
550
551    } ]
552
553  }, {
554
555    "columns" : [ {
556
557      "fieldNameOrPath" : "Name",
558
559      "value" : "Grand Hotels and Resorts Ltd"
560
561    }, {
562
563      "fieldNameOrPath" : "Site",
564
565      "value" : null
566
567    }, {
568
569      "fieldNameOrPath" : "BillingState",
570
571      "value" : "IL"
572
573    }, {
574
575      "fieldNameOrPath" : "Phone",
576
577      "value" : "(312) 596-1000"
578
579    }, {
580
581      "fieldNameOrPath" : "Type",
582
583      "value" : "Customer - Direct"
584
585    }, {
586
587      "fieldNameOrPath" : "Owner.Alias",
588
589      "value" : "TUser"
590
591    }, {
592
593      "fieldNameOrPath" : "Id",
594
595      "value" : "001D000000JliSWIAZ"
596
597    }, {
598
599      "fieldNameOrPath" : "CreatedDate",
600
601      "value" : "Fri Aug 01 21:15:46 GMT 2014"
602
603    }, {
604
605      "fieldNameOrPath" : "LastModifiedDate",
606
607      "value" : "Fri Aug 01 21:15:46 GMT 2014"
608
609    }, {
610
611      "fieldNameOrPath" : "SystemModstamp",
612
613      "value" : "Fri Aug 01 21:15:46 GMT 2014"
614
615    } ]
616
617  }, {
618
619    "columns" : [ {
620
621      "fieldNameOrPath" : "Name",
622
623      "value" : "Pyramid Construction Inc."
624
625    }, {
626
627      "fieldNameOrPath" : "Site",
628
629      "value" : null
630
631    }, {
632
633      "fieldNameOrPath" : "BillingState",
634
635      "value" : null
636
637    }, {
638
639      "fieldNameOrPath" : "Phone",
640
641      "value" : "(014) 427-4427"
642
643    }, {
644
645      "fieldNameOrPath" : "Type",
646
647      "value" : "Customer - Channel"
648
649    }, {
650
651      "fieldNameOrPath" : "Owner.Alias",
652
653      "value" : "TUser"
654
655    }, {
656
657      "fieldNameOrPath" : "Id",
658
659      "value" : "001D000000JliSUIAZ"
660
661    }, {
662
663      "fieldNameOrPath" : "CreatedDate",
664
665      "value" : "Fri Aug 01 21:15:46 GMT 2014"
666
667    }, {
668
669      "fieldNameOrPath" : "LastModifiedDate",
670
671      "value" : "Fri Aug 01 21:15:46 GMT 2014"
672
673    }, {
674
675      "fieldNameOrPath" : "SystemModstamp",
676
677      "value" : "Fri Aug 01 21:15:46 GMT 2014"
678
679    } ]
680
681  }, {
682
683    "columns" : [ {
684
685      "fieldNameOrPath" : "Name",
686
687      "value" : "sForce"
688
689    }, {
690
691      "fieldNameOrPath" : "Site",
692
693      "value" : null
694
695    }, {
696
697      "fieldNameOrPath" : "BillingState",
698
699      "value" : "CA"
700
701    }, {
702
703      "fieldNameOrPath" : "Phone",
704
705      "value" : "(415) 901-7000"
706
707    }, {
708
709      "fieldNameOrPath" : "Type",
710
711      "value" : null
712
713    }, {
714
715      "fieldNameOrPath" : "Owner.Alias",
716
717      "value" : "TUser"
718
719    }, {
720
721      "fieldNameOrPath" : "Id",
722
723      "value" : "001D000000JliSaIAJ"
724
725    }, {
726
727      "fieldNameOrPath" : "CreatedDate",
728
729      "value" : "Fri Aug 01 21:15:46 GMT 2014"
730
731    }, {
732
733      "fieldNameOrPath" : "LastModifiedDate",
734
735      "value" : "Fri Aug 01 21:15:46 GMT 2014"
736
737    }, {
738
739      "fieldNameOrPath" : "SystemModstamp",
740
741      "value" : "Fri Aug 01 21:15:46 GMT 2014"
742
743    } ]
744
745  }, {
746
747    "columns" : [ {
748
749      "fieldNameOrPath" : "Name",
750
751      "value" : "United Oil and Gas Corp."
752
753    }, {
754
755      "fieldNameOrPath" : "Site",
756
757      "value" : null
758
759    }, {
760
761      "fieldNameOrPath" : "BillingState",
762
763      "value" : "NY"
764
765    }, {
766
767      "fieldNameOrPath" : "Phone",
768
769      "value" : "(212) 842-5500"
770
771    }, {
772
773      "fieldNameOrPath" : "Type",
774
775      "value" : "Customer - Direct"
776
777    }, {
778
779      "fieldNameOrPath" : "Owner.Alias",
780
781      "value" : "TUser"
782
783    }, {
784
785      "fieldNameOrPath" : "Id",
786
787      "value" : "001D000000JliSZIAZ"
788
789    }, {
790
791      "fieldNameOrPath" : "CreatedDate",
792
793      "value" : "Fri Aug 01 21:15:46 GMT 2014"
794
795    }, {
796
797      "fieldNameOrPath" : "LastModifiedDate",
798
799      "value" : "Fri Aug 01 21:15:46 GMT 2014"
800
801    }, {
802
803      "fieldNameOrPath" : "SystemModstamp",
804
805      "value" : "Fri Aug 01 21:15:46 GMT 2014"
806
807    } ]
808
809  }, {
810
811    "columns" : [ {
812
813      "fieldNameOrPath" : "Name",
814
815      "value" : "United Oil and Gas, Singapore"
816
817    }, {
818
819      "fieldNameOrPath" : "Site",
820
821      "value" : null
822
823    }, {
824
825      "fieldNameOrPath" : "BillingState",
826
827      "value" : "Singapore"
828
829    }, {
830
831      "fieldNameOrPath" : "Phone",
832
833      "value" : "(650) 450-8810"
834
835    }, {
836
837      "fieldNameOrPath" : "Type",
838
839      "value" : "Customer - Direct"
840
841    }, {
842
843      "fieldNameOrPath" : "Owner.Alias",
844
845      "value" : "TUser"
846
847    }, {
848
849      "fieldNameOrPath" : "Id",
850
851      "value" : "001D000000JliSRIAZ"
852
853    }, {
854
855      "fieldNameOrPath" : "CreatedDate",
856
857      "value" : "Fri Aug 01 21:15:46 GMT 2014"
858
859    }, {
860
861      "fieldNameOrPath" : "LastModifiedDate",
862
863      "value" : "Fri Aug 01 21:15:46 GMT 2014"
864
865    }, {
866
867      "fieldNameOrPath" : "SystemModstamp",
868
869      "value" : "Fri Aug 01 21:15:46 GMT 2014"
870
871    } ]
872
873  }, {
874
875    "columns" : [ {
876
877      "fieldNameOrPath" : "Name",
878
879      "value" : "United Oil and Gas, UK"
880
881    }, {
882
883      "fieldNameOrPath" : "Site",
884
885      "value" : null
886
887    }, {
888
889      "fieldNameOrPath" : "BillingState",
890
891      "value" : "UK"
892
893    }, {
894
895      "fieldNameOrPath" : "Phone",
896
897      "value" : "+44 191 4956203"
898
899    }, {
900
901      "fieldNameOrPath" : "Type",
902
903      "value" : "Customer - Direct"
904
905    }, {
906
907      "fieldNameOrPath" : "Owner.Alias",
908
909      "value" : "TUser"
910
911    }, {
912
913      "fieldNameOrPath" : "Id",
914
915      "value" : "001D000000JliSQIAZ"
916
917    }, {
918
919      "fieldNameOrPath" : "CreatedDate",
920
921      "value" : "Fri Aug 01 21:15:46 GMT 2014"
922
923    }, {
924
925      "fieldNameOrPath" : "LastModifiedDate",
926
927      "value" : "Fri Aug 01 21:15:46 GMT 2014"
928
929    }, {
930
931      "fieldNameOrPath" : "SystemModstamp",
932
933      "value" : "Fri Aug 01 21:15:46 GMT 2014"
934
935    } ]
936
937  }, {
938
939    "columns" : [ {
940
941      "fieldNameOrPath" : "Name",
942
943      "value" : "University of Arizona"
944
945    }, {
946
947      "fieldNameOrPath" : "Site",
948
949      "value" : null
950
951    }, {
952
953      "fieldNameOrPath" : "BillingState",
954
955      "value" : "AZ"
956
957    }, {
958
959      "fieldNameOrPath" : "Phone",
960
961      "value" : "(520) 773-9050"
962
963    }, {
964
965      "fieldNameOrPath" : "Type",
966
967      "value" : "Customer - Direct"
968
969    }, {
970
971      "fieldNameOrPath" : "Owner.Alias",
972
973      "value" : "TUser"
974
975    }, {
976
977      "fieldNameOrPath" : "Id",
978
979      "value" : "001D000000JliSYIAZ"
980
981    }, {
982
983      "fieldNameOrPath" : "CreatedDate",
984
985      "value" : "Fri Aug 01 21:15:46 GMT 2014"
986
987    }, {
988
989      "fieldNameOrPath" : "LastModifiedDate",
990
991      "value" : "Fri Aug 01 21:15:46 GMT 2014"
992
993    }, {
994
995      "fieldNameOrPath" : "SystemModstamp",
996
997      "value" : "Fri Aug 01 21:15:46 GMT 2014"
998
999    } ]
1000
1001  } ],
1002
1003  "size" : 12
1004
1005}